Subject: Re: Init acting strange

From: Brian Eliot <[email-masked]>
Date: Wed, 19 Sep 2001 09:53:42 -0700

> I've been trying to get init working for a while now but I can't getting
> logging in to work correctly, and I'm out of ideas, maybe someone can help
>
> I'm using HHL 2.0 and the ramdisk is made from the target app rpms. I'm using
> the default passwd file. Do shadow passwords or anything like that need to be
> compiled in the kernel for the hhl2.0 login stuff to work??
>
> here's what I'm seeing:
>
>   MontaVista Software's Hard Hat Linux 2.0
>
>   (none) login: root
>
>   MontaVista Software's Hard Hat Linux 2.0
>   ...

A read-only root filesystem (or filesystem read-only to write attempts by root)
will cause this symptom.
--
Brian Eliot	MontaVista Software, Inc.	E-mail:	[email-masked]
		1237 E. Arques Avenue		Voice:	+1 408 992 4712
		Sunnyvale, CA  94085-4701	Fax:	+1 408 328 9204

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/